Bug 1787911 - Missing dependency on `six~=1.12` and `lazy_object_proxy==1.4.*`
Summary: Missing dependency on `six~=1.12` and `lazy_object_proxy==1.4.*`
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-astroid
Version: epel8
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-05 12:22 UTC by Gris Ge
Modified: 2020-02-02 01:36 UTC (History)
5 users (show)

Fixed In Version: python-astroid-2.3.3-4.gitace7b29.fc31 python-astroid-2.3.3-6.gitace7b29.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-09 01:26:59 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Gris Ge 2020-01-05 12:22:41 UTC
Description of problem:

When running pylint, got errors:

pkg_resources.DistributionNotFound: The 'six~=1.12' distribution was not found and is required by astroid

pkg_resources.DistributionNotFound: The 'lazy_object_proxy==1.4.*' distribution was not found and is required by astroid


Version-Release number of selected component (if applicable):
python3-pylint-2.4.4-1.el8.noarch
python3-astroid-2.3.3-2.gitace7b29.el8.noarch

How reproducible:
100%

Steps to Reproduce:
1. pylint
2. 
3.

Actual results:

Failed with dependency error.


Expected results:

No dependency error.

Additional info:

Comment 1 Gwyn Ciesla 2020-01-06 16:02:58 UTC
*** Bug 1788115 has been marked as a duplicate of this bug. ***

Comment 2 Gwyn Ciesla 2020-01-06 16:03:52 UTC
Is this bug still present after the most recent repo updates?

Comment 3 Fedora Update System 2020-01-08 14:16:28 UTC
python-astroid-2.3.3-3.gitace7b29.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a7ca62459a

Comment 4 Fedora Update System 2020-01-08 14:33:42 UTC
FEDORA-2020-177c2edb58 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-177c2edb58

Comment 5 Fedora Update System 2020-01-08 14:33:48 UTC
FEDORA-EPEL-2020-22d337d626 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-22d337d626

Comment 6 Fedora Update System 2020-01-09 01:26:59 UTC
python-astroid-2.3.3-4.gitace7b29.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2020-01-09 01:53:42 UTC
python-astroid-2.3.3-4.gitace7b29.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-22d337d626

Comment 8 Jan Pazdziora 2020-01-16 10:29:55 UTC
With python3-pylint-2.4.4-1.el8.noarch and with python3-astroid-2.3.3-4.gitace7b29.el8.noarch from epel-testing, pylint fails to run:

#  pylint-3 --help
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 570, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 888, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 779, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (six 1.11.0 (/usr/lib/python3.6/site-packages), Requirement.parse('six~=1.12'), {'astroid'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/pylint-3", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3095, in <module>
    @_call_aside
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3079, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3108, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 572, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 585, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 774, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'six~=1.12' distribution was not found and is required by astroid

So the dependencies are not properly resolved yet.

Comment 9 Jan Pazdziora 2020-01-16 10:31:49 UTC
When I rebuilt https://koji.fedoraproject.org/koji/buildinfo?buildID=1395542 as https://koji.fedoraproject.org/koji/taskinfo?taskID=40609244, I've hit

 Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 570, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 888, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 779, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (lazy-object-proxy 1.3.1 (/usr/lib64/python3.6/site-packages), Requirement.parse('lazy_object_proxy==1.4.*'), {'astroid'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/pylint-3", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3095, in <module>
    @_call_aside
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3079, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3108, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 572, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 585, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 774, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'lazy_object_proxy==1.4.*' distribution was not found and is required by astroid

Comment 10 Jan Pazdziora 2020-01-16 11:42:12 UTC
Attempt to rebuild https://koji.fedoraproject.org/koji/buildinfo?buildID=1405082 in EPEL 8 fails with

distutils.errors.DistutilsError: Could not find suitable distribution for Requirement.parse('setuptools_scm>=3.3.1')

https://kojipkgs.fedoraproject.org//work/tasks/9964/40609964/build.log

Comment 11 Jan Pazdziora 2020-01-16 11:43:50 UTC
I've reopened bug 1788115 to use as a vehicle for errata that will address these dependency issues.

Comment 12 Fedora Update System 2020-01-18 00:10:41 UTC
python-astroid-2.3.3-6.gitace7b29.el8, python-lazy-object-proxy-1.4.3-2.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-8841b40fce

Comment 13 Fedora Update System 2020-02-02 01:36:06 UTC
python-astroid-2.3.3-6.gitace7b29.el8, python-lazy-object-proxy-1.4.3-2.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.